{
  "type" : "record",
  "name" : "FamilyRelatednessCheck",
  "namespace" : "org.gel.models.metrics.avro",
  "fields" : [ {
    "name" : "sampleId1",
    "type" : [ "null", "string" ],
    "doc" : "Sample Id of one of the samples in the pair"
  }, {
    "name" : "sampleId2",
    "type" : [ "null", "string" ],
    "doc" : "Sample Id of the other sample in the pair"
  }, {
    "name" : "relationshipFromPedigree",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "FamiliarRelationship",
      "namespace" : "org.gel.models.participant.avro",
      "doc" : "Familiar relationship from pedrigree",
      "symbols" : [ "TwinsMonozygous", "TwinsDizygous", "TwinsUnknown", "FullSibling", "FullSiblingF", "FullSiblingM", "Mother", "Father", "Son", "Daughter", "ChildOfUnknownSex", "MaternalAunt", "MaternalUncle", "MaternalUncleOrAunt", "PaternalAunt", "PaternalUncle", "PaternalUncleOrAunt", "MaternalGrandmother", "PaternalGrandmother", "MaternalGrandfather", "PaternalGrandfather", "DoubleFirstCousin", "MaternalCousinSister", "PaternalCousinSister", "MaternalCousinBrother", "PaternalCousinBrother", "Cousin", "Spouse", "Other", "RelationIsNotClear", "Unrelated", "Unknown" ]
    } ],
    "doc" : "Reported relationship from sampleId1 to sampleId2 according to the pedigree provided"
  }, {
    "name" : "possibleRelationship",
    "type" : [ "null", "string" ],
    "doc" : "Expected relationship according to IBD"
  }, {
    "name" : "withinFamilyIBDQuery",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "Query",
      "doc" : "A query",
      "symbols" : [ "yes", "no", "unknown", "notTested" ]
    } ],
    "doc" : "Whether the pair of samples are a within-family query (yes, no, unknown, notTested)"
  }, {
    "name" : "comments",
    "type" : [ "null", "string" ],
    "doc" : "Comments"
  } ]
}
